Browse files

ready gemspec for 2.1.6.beta1

  • Loading branch information...
1 parent ebb937f commit 1c7d10c775c0222372c80a9d018ddbdd919c19bd @gnarg gnarg committed Sep 23, 2011
Showing with 14 additions and 4 deletions.
  1. +4 −0 Gemfile
  2. +1 −1 Rakefile
  3. +9 −3 rpm_contrib.gemspec
View
4 Gemfile
@@ -7,3 +7,7 @@ group :test do
gem 'json'
gem 'mocha'
end
+
+group :build do
+ gem 'jeweler'
+end
View
2 Rakefile
@@ -22,7 +22,7 @@ begin
gem.description = DESCRIPTION
gem.email = "support@newrelic.com"
gem.homepage = "http://github.com/newrelic/rpm_contrib"
- gem.author = "Bill Kayser"
+ gem.authors = [ "Bill Kayser", "Jon Guymon" ]
gem.add_dependency 'newrelic_rpm', '>=3.1.1'
gem.version = version
gem.files = FileList['LICENSE', 'README*', 'lib/**/*.rb', 'bin/*', '[A-Z]*', 'test/**/*'].to_a
View
12 rpm_contrib.gemspec
@@ -5,11 +5,11 @@
Gem::Specification.new do |s|
s.name = %q{rpm_contrib}
- s.version = "2.1.5"
+ s.version = "2.1.6.beta1"
s.required_rubygems_version = Gem::Requirement.new(">= 0") if s.respond_to? :required_rubygems_version=
- s.authors = ["Bill Kayser"]
- s.date = %q{2011-09-07}
+ s.authors = ["Bill Kayser", "Jon Guymon"]
+ s.date = %q{2011-09-23}
s.description = %q{Community contributed instrumentation for various frameworks based on
the New Relic Ruby monitoring gem newrelic_rpm.
}
@@ -26,6 +26,7 @@ the New Relic Ruby monitoring gem newrelic_rpm.
"Rakefile",
"lib/new_relic/control/camping.rb",
"lib/rpm_contrib.rb",
+ "lib/rpm_contrib/agent_compatibility.rb",
"lib/rpm_contrib/detection.rb",
"lib/rpm_contrib/detection/camping.rb",
"lib/rpm_contrib/instrumentation.rb",
@@ -45,11 +46,13 @@ the New Relic Ruby monitoring gem newrelic_rpm.
"lib/rpm_contrib/instrumentation/ultrasphinx.rb",
"lib/rpm_contrib/instrumentation/workling.rb",
"lib/rpm_contrib/instrumentation/yajl.rb",
+ "lib/rpm_contrib/language_support.rb",
"lib/rpm_contrib/samplers.rb",
"test/helper.rb",
"test/schema.rb",
"test/test_curb.rb",
"test/test_redis.rb",
+ "test/test_resque.rb",
"test/test_workling.rb"
]
s.homepage = %q{http://github.com/newrelic/rpm_contrib}
@@ -63,11 +66,14 @@ the New Relic Ruby monitoring gem newrelic_rpm.
if Gem::Version.new(Gem::VERSION) >= Gem::Version.new('1.2.0') then
s.add_runtime_dependency(%q<newrelic_rpm>, [">= 3.1.1"])
+ s.add_runtime_dependency(%q<newrelic_rpm>, [">= 3.1.1"])
@gardelea
gardelea added a line comment Apr 9, 2012

why the double dependency on newrelic_rpm ? (can also see this on rubygems.org)
i've been having issues like these recently when working with gems that use both jeweler and bundler.
is this project set on using jeweler or would it be up for accepting a pull request that removes jeweler in favor of bundler and rubygems ?

@samg
New Relic member
samg added a line comment Apr 10, 2012

Yeah, we're not huge fans of jeweler, but haven't gotten around to removing it on this or the newrelic_rpm project. I'd welcome the pull request.

That said, we're in the process of phasing out the rpm_contrib gem in favor of smaller projects that focus on instrumenting one specific library (more like resque plugins). There's some more details in the README.

If you're interested in taking over any of the instrumentation in here let me know. You'd be in good company.

Sign up for free to join this conversation on GitHub. Already have an account? Sign in to comment
else
s.add_dependency(%q<newrelic_rpm>, [">= 3.1.1"])
+ s.add_dependency(%q<newrelic_rpm>, [">= 3.1.1"])
end
else
s.add_dependency(%q<newrelic_rpm>, [">= 3.1.1"])
+ s.add_dependency(%q<newrelic_rpm>, [">= 3.1.1"])
end
end

0 comments on commit 1c7d10c

Please sign in to comment.